Search found 3868 matches

Go to advanced search

by bernd
Fri Mar 24, 2017 7:19 am
Forum: Help on using FreeCAD
Topic: Welder looking to be more efficient using FreeCAD
Replies: 26
Views: 630

Re: Welder looking to be more efficient using FreeCAD

@Montoya88:

I'm curious, what kind of models, drawing do you do with FreeCAD. We are always interested in what people do with FreeCAD. Do you have some screens :) ?

Bernd
by bernd
Fri Mar 24, 2017 6:13 am
Forum: Open discussion
Topic: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0
Replies: 12
Views: 691

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

I tried to do the same for getting a huge wire. The aim is a wire which has all edges connected. Attached the file and the command. I got an error ... Part.show(Part.Wire(App.ActiveDocument.BooleanFragments.Shape.Edges)) >>> Part.show(Part.Wire(App.ActiveDocument.BooleanFragments.Shape.Edges)) Trace...
by bernd
Fri Mar 24, 2017 5:46 am
Forum: FEM
Topic: mesh distortion on reload (only quadratic elements)
Replies: 18
Views: 276

Re: mesh distortion on reload (only quadratic elements)

bernd wrote:
sgrogan wrote:I have a vague guess ... git commit 732bd85 It is a pity I can not test, I have never compiled FreeCAD on Windows. ...

Good sleuthing, the previous commit is good.
does it mean git commit 732bd85 is the culprit ?

bernd

EDIT: I got in contact with vejmarie the author of this commit.
by bernd
Thu Mar 23, 2017 9:34 pm
Forum: Open discussion
Topic: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0
Replies: 12
Views: 691

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

Is there a way to get a non-manifold shell with OCCT 7.0 or 7.1 ? Via python I think it can be created. I think if you run faces through BooleanFragments first, then re-pack them into a shell using Part.Shell(compound_of_faces.Faces) , it will create a non-manifold shell. I don't think it i...
by bernd
Thu Mar 23, 2017 8:52 pm
Forum: FEM
Topic: mesh distortion on reload (only quadratic elements)
Replies: 18
Views: 276

Re: mesh distortion on reload (only quadratic elements)

great !

sgrogan wrote:How to I create first order elements with gmesh in FreeCAD? It seems 2nd order elements are the default (which is good)
there should be a property in property editor of gmsh mesh object. I'm on the way and can not make a screen.
bernd
by bernd
Thu Mar 23, 2017 8:37 pm
Forum: UX/UI Design
Topic: FEM icons
Replies: 17
Views: 428

Re: FEM icons

it is just the icon name sheme I'm talking about. Do you have any preference? What would be best for the wiki, or does it not matter?!
by bernd
Thu Mar 23, 2017 4:35 pm
Forum: Open discussion
Topic: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0
Replies: 12
Views: 691

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

1.2. Part Fuse doesn't create non-manifold shells anymore. OCC version: 7.0.0 Is there a way to get a non-manifold shell with OCCT 7.0 or 7.1 ? Exmple: http://forum.freecadweb.org/download/file.php?id=21072 from topic http://forum.freecadweb.org/viewtopic.php?f=3&t=14547&start=10#p116807 bu...
by bernd
Thu Mar 23, 2017 4:18 pm
Forum: Open discussion
Topic: Proposal for GSoC'17
Replies: 19
Views: 712

Re: Proposal for GSoC'17

@amrit3701, keep in mind these issues like a number of rebars with similar shape and their unique placement vectors. This will help you to code your addon in a more practical and appropriate way. See for example the rebars of the little columns (no 4 and no 5) in the example of the last post. They ...

Go to advanced search